summaryrefslogtreecommitdiff
path: root/nonsystemd/lvm2-openrc/lvmpolld.initd
diff options
context:
space:
mode:
Diffstat (limited to 'nonsystemd/lvm2-openrc/lvmpolld.initd')
-rw-r--r--nonsystemd/lvm2-openrc/lvmpolld.initd17
1 files changed, 17 insertions, 0 deletions
diff --git a/nonsystemd/lvm2-openrc/lvmpolld.initd b/nonsystemd/lvm2-openrc/lvmpolld.initd
new file mode 100644
index 000000000..72f75141e
--- /dev/null
+++ b/nonsystemd/lvm2-openrc/lvmpolld.initd
@@ -0,0 +1,17 @@
+#!/usr/bin/openrc-run
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+pidfile="/run/lvmpolld.pid"
+command="/usr/bin/lvmpolld"
+command_args="${LVMPOLLD_OPTS:=-p ${pidfile}}"
+start_stop_daemon_args="--pidfile ${pidfile}"
+
+depend() {
+ :
+}
+
+start_pre()
+{
+ checkpath --directory /run/lvm || return 1
+}